Package ghidra.graph.viewer.edge

# Class BasicEdgeLabelRenderer<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.renderers.BasicEdgeLabelRenderer<V,E>
ghidra.graph.viewer.edge.BasicEdgeLabelRenderer<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.renderers.Renderer.EdgeLabel<V,E>`

public class BasicEdgeLabelRenderer<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.renderers.BasicEdgeLabelRenderer<V,E>
A class to override the default edge label placement. This class is called a renderer because the parent class is. However, it is not a renderer in the sense that it's job is to paint the contents, like in Java when you provide a cell rendering component, but rather, it uses such a component. Further, the job of this class is to position said component and then to have it paint its contents.

Normally we would just set our custom renderer on the `RenderContext` at construction time, like we do with the other rendering classes, but not such method is provided.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.uci.ics.jung.visualization.renderers.Renderer.EdgeLabel

  `edu.uci.ics.jung.visualization.renderers.Renderer.EdgeLabel.NOOP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicEdgeLabelRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `labelEdge(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout, E e, String label)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.renderers.BasicEdgeLabelRenderer

  `prepareRenderer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicEdgeLabelRenderer

    public BasicEdgeLabelRenderer()

- ## Method Details

  - ### labelEdge

    public void labelEdge(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout, E e, String label)
    Specified by:
      `labelEdge` in interface `edu.uci.ics.jung.visualization.renderers.Renderer.EdgeLabel<V extends VisualVertex,E extends VisualEdge<V>>`
    Overrides:
      `labelEdge` in class `edu.uci.ics.jung.visualization.renderers.BasicEdgeLabelRenderer<V extends VisualVertex,E extends VisualEdge<V>>`